import type { FvAccordionItem } from '..';
/**
 * Page object for the `ok-fv-accordion-item` component to provide consistent
 * ways of querying and interacting with the component during tests.
 */
export declare class FvAccordionItemPageObject {
    protected readonly accordionItemElement: FvAccordionItem;
    constructor(accordionItemElement: FvAccordionItem);
    clickSummary(): Promise<void>;
    getHeaderText(): string;
    isExpanded(): boolean;
    hasContentSlot(): boolean;
    hasExpanderIcon(): boolean;
    private getDetails;
    private getSummary;
    private getTitle;
}
